List jobs for A deployed product

List jobs for A deployed product
List jobs for a deployed product

Returns an array of the jobs on a staged product by name and guid.

Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/products/{product_guid}/jobs
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

Returns Jobs of type(s) application/json
{
    "jobs": [
        {
            "name": "string",
            "guid": "string",
            "label": "string"
        }
    ]
}
array of jobs
jobs
Optional

jobs


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product not found

Returns RequiresActiveProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/{product_guid}/jobs